Bug 1146917 - (parsero) Review Request: parsero - A Python based Robots.txt audit tool
Review Request: parsero - A Python based Robots.txt audit tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian "der-flo" Lehner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2014-09-26 07:05 EDT by Fabian Affolter
Modified: 2014-11-01 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: parsero-0.81-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 06:25:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2014-09-26 07:05:25 EDT
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/parsero.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/parsero-0.80-1.fc20.src.rpm

Project URL: https://github.com/behindthefirewalls/Parsero

Description:
Parsero is a free script written in Python which reads the Robots.txt
file of a web server and looks at the Disallow entries. The Disallow
entries tell the search engines what directories or files hosted on a
web server mustn't be indexed. For example, "Disallow: /portal/login"
means that the content on www.example.com/portal/login it's not allowed
to be indexed by crawlers like Google, Bing, Yahoo... This is the way
the administrator have to not share sensitive or private information
with the search engines.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7701018

rpmlint output:
[fab@localhost SRPMS]$ rpmlint parsero-0.80-1.fc20.src.rpm 
parsero.src: W: spelling-error Summary(en_US) txt -> text, ext, tit
parsero.src: W: spelling-error %description -l en_US txt -> text, ext, tit
parsero.src: W: spelling-error %description -l en_US login -> loin, logic, lo gin
parsero.src: W: spelling-error %description -l en_US www -> WWW, wow
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

[fab@localhost noarch]$ rpmlint parsero-0.80-1.fc20.noarch.rpm 
parsero.noarch: W: spelling-error Summary(en_US) txt -> text, ext, tit
parsero.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
parsero.noarch: W: spelling-error %description -l en_US login -> loin, logic, lo gin
parsero.noarch: W: spelling-error %description -l en_US www -> WWW, wow
parsero.noarch: E: non-executable-script /usr/lib/python3.3/site-packages/parsero.py 0644L /usr/bin/env
parsero.noarch: W: no-manual-page-for-binary parsero
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

Fedora Account System Username: fab
Comment 1 Florian "der-flo" Lehner 2014-10-07 13:39:30 EDT
hi Fabian!

Please update to 0.81 and don't miss the LICENSE.txt.
Everything else looks fine for me.

Cheers,
 Flo

For the records: http://koji.fedoraproject.org/koji/taskinfo?taskID=7789972
Comment 2 Fabian Affolter 2014-10-07 15:29:58 EDT
(In reply to Florian "der-flo" Lehner from comment #1)
> Please update to 0.81 and don't miss the LICENSE.txt.

Good catch. Thanks.

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/parsero.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/parsero-0.81-1.fc20.src.rpm
Comment 3 Florian "der-flo" Lehner 2014-10-07 15:43:05 EDT
Hi Fabian!

It looks fine, so I approve it.

Cheers,
 Flo

For the records:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7791197
Comment 4 Fabian Affolter 2014-10-07 16:33:28 EDT
New Package SCM Request
=======================
Package Name: parsero
Short Description: A Python based Robots.txt audit tool
Upstream URL: 
Owners: fab 
Branches: f20 f21 epel7
InitialCC:
Comment 5 Fabian Affolter 2014-10-07 17:44:17 EDT
Sorry, again.

New Package SCM Request
=======================
Package Name: parsero
Short Description: A Python based Robots.txt audit tool
Upstream URL: https://github.com/behindthefirewalls/Parsero
Owners: fab 
Branches: f20 f21 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2014-10-08 06:12:50 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-10-08 07:55:45 EDT
parsero-0.81-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/parsero-0.81-1.fc21
Comment 8 Fedora Update System 2014-10-08 08:26:21 EDT
parsero-0.81-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/parsero-0.81-1.fc20
Comment 9 Fedora Update System 2014-10-10 11:57:55 EDT
parsero-0.81-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2014-10-21 06:25:37 EDT
parsero-0.81-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2014-11-01 12:44:53 EDT
parsero-0.81-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.